class Origami::JcbController < BaseOrigamiController

  def index
    @sale_id = params[:sale_id]

    # limit jcb_amount
    sale_data = Sale.find_by_sale_id(@sale_id)
    total = sale_data.grand_total
    @jcbcount = 0
    others = 0
    sale_data.sale_payments.each do |sale_payment|
        if sale_payment.payment_method == "jcb"
          @jcbcount = @jcbcount + sale_payment.payment_amount
        else
          others = others + sale_payment.payment_amount
        end
    end
    @can_jcb = total - @jcbcount - others

  end

  def create
    cash = params[:amount]
    sale_id = params[:sale_id]
    if(Sale.exists?(sale_id))
      saleObj = Sale.find(sale_id)
      sale_payment = SalePayment.new
      @status, @sale = sale_payment.process_payment(saleObj, @user, cash, "jcb")
    end
  end

end
